Loading...
Searching...
No Matches
box.c File Reference

GRASS png display driver - draw box. More...

`#include <math.h>`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/box.c:

Go to the source code of this file.

## Functions

void | PNG_Box (double fx1, double fy1, double fx2, double fy2)
| Draw a (filled) rectangle.

## Detailed Description

GRASS png display driver - draw box.

(C) 2003-2014 by Per Henrik Johansen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Per Henrik Johansen (original contributor)
  Glynn Clements

Definition in file pngdriver/box.c.

## Function Documentation

## PNG_Box()

void PNG_Box | ( | double | fx1,
|  | double | fy1,
|  | double | fx2,
|  | double | fy2 )

Draw a (filled) rectangle.

Parameters

  fx1,fy1,fx2,fy2 | rectangle coordinates

Definition at line 23 of file pngdriver/box.c.

References png, and x.

Referenced by PNG_Driver(), and PNG_Point().